
;;; 							
;;; TXTCOPY bertrgt Textwerte von einem TEXTObjekt	
;;; zu einem oder mehreren anderen.			


;;;SUB zum auslesen des Auswahlsatz in Elementnamen	
(defun bau_elemli (asatz / n elemli)
  (setq n 0)
  (repeat (sslength asatz)
    (setq elemli(cons (ssname asatz n) elemli)
	  n (1+ n))
    )
  elemli
);defun

;;;FehlerSUB						
(defun myerr (s)
  (setq *error* alterr
	alterr nil)
  (princ (strcat "\nTXTCOPY abgebrochen! - " s ))
);defun


;;;Hauptroutine						
(defun c:TXTCOPY ()
  (command "_.undo" "_G")
  (setq fromtxt	(entget(car(entsel))))
  (if (= (cdr(assoc 0 fromtxt)) "TEXT")
  	(setq fromtxt (assoc 1 fromtxt))(setq fromtxt nil)
  );if
  
   (if fromtxt (progn
		 
	(setq	targetli	(ssget '((0 . "TEXT"))))
  	(if targetli (setq targetli (bau_elemli targetli)))

    		(mapcar '(lambda (X)
			(setq	obj (entget X)
				obj (subst fromtxt (assoc 1 Obj) obj))
			(entmod obj)
	  	 );lambda
    		targetli
  		);mapcar
	
	       );progn
          (alert "Dies war kein TEXTobjekt !")
     );if
    

  
 (command "_.undo" "_E")
 (setq *error* alterr)

);defun


  
